Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 189841 - Instances in Lookup are not cached
Instances in Lookup are not cached
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks: 157767
  Show dependency treegraph
 
Reported: 2010-08-25 13:04 UTC by Martin Entlicher
Modified: 2010-08-27 03:16 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-08-25 13:04:08 UTC
Instances retrieved from PathLookup are not cached in Lookup class, therefore multiple instances of the same registry can be created.
Comment 1 Martin Entlicher 2010-08-26 13:36:08 UTC
Fixed in changeset:   176430:e4fdb0e40157
http://hg.netbeans.org/main/rev/e4fdb0e40157
Comment 2 Quality Engineering 2010-08-27 03:16:22 UTC
Integrated into 'main-golden', will be available in build *201008270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e4fdb0e40157
User: mentlicher@netbeans.org
Log: #189841 Cache instances created from path lookup.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo